View Issue Details

IDProjectCategoryView StatusLast Update
0017826CentOS-7phppublic2020-12-18 21:40
Reporternoloader 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version7.9.2009 
Summary0017826: CentOS 7 with SCL enabled only provides PHP 7.3.11
DescriptionHi Everyone,

My apologies if this is the wrong place to report this issue.

We have a CentOS 7 VM with Red Hat's SCL enabled. It runs our website and wiki at https://www.cryptopp.com. SCL is enabled so we can get an updated Apache, Python, PHP and friends.

Our current Mediawiki is 1.34. 1.34 is _not_ a Long Term Support (LTS) release. We want to migrate to Mediawiki 1.35. 1.35 is a LTS release.

We cannot migrate to Mediawiki 1.35 at the moment because CentOS 7 and SCL only provides PHP 7.3.11. Mediawiki 1.35 requires PHP 7.3.19.

Our request is, please bump PHP's version to 7.3.19 so we can install Mediawiki 1.35.

Also see https://www.mediawiki.org/wiki/Talk:MediaWiki_1.35. It asks Mediawiki to downgrade their PHP requirements.
TagsNo tags attached.
abrt_hash
URL

Relationships

has duplicate 0017900 closedIssue Tracker CentOS 7 with SCL enabled only provides PHP 7.3.11 

Activities

tigalch

tigalch

2020-11-01 07:39

manager   ~0037838

You would have to raise this issue with RH. If they upgrade SCL, the rebuilds will also get updated. You could also try one of the 3rd party repos (i.e. IUS) which replace stock PHP with the most current 7.3 release.
jorton

jorton

2020-11-02 09:17

reporter   ~0037839

We have rebased rh-php73 to 7.3.20 in RHSCL 3.6 Beta.

https://access.redhat.com/documentation/en-us/red_hat_software_collections/3-beta/html/3.6_release_notes/chap-rhscl
noloader

noloader

2020-11-02 09:52

reporter   ~0037840

Thanks tigalch and jorton. The PHP bump is going to be very helpful to folks.
tigalch

tigalch

2020-11-03 20:49

manager   ~0037843

PHP version has been updated
ManuelWolfshant

ManuelWolfshant

2020-12-01 11:58

manager   ~0038018

reopening since php-7.3.20 is a beta which was not rebuilt for CentOS
arrfab

arrfab

2020-12-01 12:27

administrator   ~0038020

I guess SCLo SIG will rebuild 7.3.20 soon, as it was announced today : https://access.redhat.com/errata/RHSA-2020:5275
And yes, it's already being rebuilt : https://cbs.centos.org/koji/buildinfo?buildID=31490 .. so I guess once they'll have tested it, it will be automatically signed and pushed out to mirrors
jstanek

jstanek

2020-12-03 11:47

developer   ~0038027

The PHP 7.3.20 is now tagged in testing and should be appearing in the testing repository soon.
noloader

noloader

2020-12-15 21:55

reporter   ~0038085

Hi @stanek, @arrfab, @Manuel, @tigalch

The PHP 7.3.20 upgrade hit today. Thank you very much.

# yum update
...

================================================================================
 Package Arch Version Repository Size
================================================================================
Updating:
 httpd24-httpd x86_64 2.4.34-22.el7 centos-sclo-rh 1.4 M
 httpd24-httpd-debuginfo x86_64 2.4.34-22.el7 centos-sclo-rh-debuginfo 4.0 M
 httpd24-httpd-devel x86_64 2.4.34-22.el7 centos-sclo-rh 209 k
 httpd24-httpd-tools x86_64 2.4.34-22.el7 centos-sclo-rh 91 k
 httpd24-mod_ssl x86_64 1:2.4.34-22.el7 centos-sclo-rh 116 k
 rh-php73-php x86_64 7.3.20-1.el7 centos-sclo-rh 1.4 M
 rh-php73-php-cli x86_64 7.3.20-1.el7 centos-sclo-rh 2.9 M
 rh-php73-php-common x86_64 7.3.20-1.el7 centos-sclo-rh 686 k
 rh-php73-php-gd x86_64 7.3.20-1.el7 centos-sclo-rh 150 k
 rh-php73-php-json x86_64 7.3.20-1.el7 centos-sclo-rh 54 k
 rh-php73-php-mbstring x86_64 7.3.20-1.el7 centos-sclo-rh 592 k
 rh-php73-php-mysqlnd x86_64 7.3.20-1.el7 centos-sclo-rh 165 k
 rh-php73-php-pdo x86_64 7.3.20-1.el7 centos-sclo-rh 100 k
 rh-php73-php-process x86_64 7.3.20-1.el7 centos-sclo-rh 62 k
 rh-php73-php-xml x86_64 7.3.20-1.el7 centos-sclo-rh 158 k
 rh-php73-php-zip x86_64 7.3.20-1.el7 centos-sclo-rh 90 k

Transaction Summary
================================================================================
Upgrade 16 Packages
tigalch

tigalch

2020-12-18 21:40

manager   ~0038111

Last edited: 2020-12-18 21:40

View 2 revisions

7.3.20 is in SCL - considering this solved then

Issue History

Date Modified Username Field Change
2020-11-01 07:34 noloader New Issue
2020-11-01 07:39 tigalch Note Added: 0037838
2020-11-02 09:17 jorton Note Added: 0037839
2020-11-02 09:52 noloader Note Added: 0037840
2020-11-03 20:49 tigalch Status new => resolved
2020-11-03 20:49 tigalch Resolution open => fixed
2020-11-03 20:49 tigalch Note Added: 0037843
2020-12-01 11:58 ManuelWolfshant Status resolved => feedback
2020-12-01 11:58 ManuelWolfshant Resolution fixed => reopened
2020-12-01 11:58 ManuelWolfshant Note Added: 0038018
2020-12-01 11:59 ManuelWolfshant Relationship added has duplicate 0017900
2020-12-01 11:59 ManuelWolfshant Status feedback => confirmed
2020-12-01 12:27 arrfab Note Added: 0038020
2020-12-03 11:47 jstanek Note Added: 0038027
2020-12-15 21:55 noloader Note Added: 0038085
2020-12-18 21:40 tigalch Status confirmed => resolved
2020-12-18 21:40 tigalch Resolution reopened => fixed
2020-12-18 21:40 tigalch Fixed in Version => 7.9.2009
2020-12-18 21:40 tigalch Note Added: 0038111
2020-12-18 21:40 tigalch Note Edited: 0038111 View Revisions